/*
 Navicat Premium Data Transfer

 Source Server         : 天翼云-测试-greatsql
 Source Server Type    : MySQL
 Source Server Version : 80025
 Source Host           : 180.103.118.123:23306
 Source Schema         : hotel_ningbo

 Target Server Type    : MySQL
 Target Server Version : 80025
 File Encoding         : 65001

 Date: 27/11/2023 10:47:41
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for rental_apartment
-- ----------------------------
DROP TABLE IF EXISTS `rental_apartment`;
CREATE TABLE `rental_apartment`  (
  `id` bigint UNSIGNED NOT NULL COMMENT '主键',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `is_deleted` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '伪删除标记字段（0:正常;1伪删除）',
  `company_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '公司id',
  `apartment_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '公寓名称',
  `province` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '省',
  `city` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '市',
  `area` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '区',
  `apartment_address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '公寓详细地址',
  `apartment_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '公寓编号',
  `belong_department_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '所属部门id',
  `belong_person_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属管家ids',
  `apartment_description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '公寓描述',
  `apartment_image` varchar(1005) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '公寓图片',
  `apartment_video` varchar(1005) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '公寓视频',
  `apartment_public_config` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '公共配置ids',
  `traffic_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '交通介绍',
  `apartment_room` int UNSIGNED NULL DEFAULT 0 COMMENT '公寓总房间数',
  `rent_room_number` int UNSIGNED NULL DEFAULT 0 COMMENT '公寓出租房间数',
  `room_warning_on_off` int NULL DEFAULT NULL COMMENT '是否开启房间预警功能开启后，房间长时间未开关门，将进行预警上报',
  `room_warning` int NULL DEFAULT NULL COMMENT '公寓设置预警时间，如果超过XXX小时未开门，发送预警提醒，可以在列表中查看',
  `longitude` double NULL DEFAULT NULL COMMENT '经度',
  `latitude` double NULL DEFAULT NULL COMMENT '纬度',
  `apartment_near_traffic` varchar(1005) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '附近交通',
  `street` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '街道',
  `business_area` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '商圈',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '公租房-公寓表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
