/*
 Navicat Premium Data Transfer

 Source Server         : 天翼云-测试-greatsql
 Source Server Type    : MySQL
 Source Server Version : 80025
 Source Host           : 180.103.118.123:23306
 Source Schema         : hotel_ningbo

 Target Server Type    : MySQL
 Target Server Version : 80025
 File Encoding         : 65001

 Date: 27/11/2023 10:44:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for rental_room
-- ----------------------------
DROP TABLE IF EXISTS `rental_room`;
CREATE TABLE `rental_room`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '伪删除标记字段（0:正常;1伪删除）',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `company_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '公司id',
  `apartment_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '公寓id',
  `room_building` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '房间楼栋',
  `unit` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '单元',
  `room_floor` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '房间所在楼层',
  `room_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '房间号',
  `room_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '房间说明',
  `house_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '房屋户型描述',
  `lease_status` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '租赁状态（0:已租 1:未租 3：不可租 4:预定 5:脏 6:逾期 7:维修 8:装修 9:下架 ）',
  `monthly_rent` int UNSIGNED NULL DEFAULT 0 COMMENT '月租金（单位：分）',
  `indoor_area` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '室内面积',
  `direction` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '朝向',
  `room_sharing_policy` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '房间可容纳人数',
  `room_current_headcount` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '房间现有人数',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `room_photos` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '房间照片',
  `rent_type` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '租赁类型（1：整租；2：合租；3：独栋）',
  `sub_room_type` tinyint UNSIGNED NULL DEFAULT NULL COMMENT '子房间类型（仅针对合租 1：公区；2：子区）',
  `parent_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '父级 id（仅针对合租）',
  `electric_unit_price` int UNSIGNED NULL DEFAULT 100 COMMENT '电费单价（单位：分，默认1元）',
  `water_unit_price` int UNSIGNED NULL DEFAULT 1000 COMMENT '冷水费单价（单位：分，默认10元）',
  `hot_water_unit_price` int UNSIGNED NULL DEFAULT 5000 COMMENT '热水费单价（单位：分，默认50元）',
  `proprietor` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '业主姓名',
  `proprietor_phone_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '业主手机号',
  `house_type_room` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '几室',
  `house_type_living_room` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '几厅',
  `house_type_bath_room` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '几卫',
  `room_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '房间类型（例子：主卧 次卧）',
  `vacancy_days` datetime NULL DEFAULT NULL COMMENT '空置天数',
  `decorate_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '精装修' COMMENT '装修',
  `room_features` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '房间特色ids',
  `room_type_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '房型id',
  `house_code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `water` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `electric` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `gas` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `room_id` bigint NULL DEFAULT NULL,
  `flag` int UNSIGNED NULL DEFAULT 0,
  `room_environment_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房型环境图片',
  `room_floor_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房型楼道图片',
  `room_living_room_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房型客厅图片',
  `room_kitchen_room_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房型厨房图片',
  `room_bath_room_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房型卫生间图片',
  `room_type_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房型户型图片',
  `room_other_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房型其他图片',
  `public_area_img` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '公共区域照片',
  `room_video` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '房间视频',
  `room_count` int UNSIGNED NULL DEFAULT NULL COMMENT '房间数量',
  `floor_count` int UNSIGNED NULL DEFAULT NULL COMMENT '楼层数量',
  `is_room_move_four` int UNSIGNED NULL DEFAULT NULL COMMENT '排除四 1：排除  2：不排除',
  `is_room_prefix` int UNSIGNED NULL DEFAULT NULL COMMENT '房间前缀是否启动 (1: 使用 2: 不使用)',
  `room_prefix` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '房间前缀',
  `room_img_sort` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '图片排序',
  `asset_template_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '资产模板id',
  `is_lock` tinyint(1) NULL DEFAULT 0 COMMENT '是否锁房（0：未锁房 1：锁房）',
  `lock_remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '锁房备注',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `lease_status_index`(`lease_status`) USING BTREE,
  INDEX `rental_room_room_floor_IDX`(`room_floor`) USING BTREE,
  INDEX `rental_room_room_building_IDX`(`room_building`, `unit`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8958488115740673 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '公租房-公寓表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
