/*
 Navicat Premium Data Transfer

 Source Server         : 天翼云-测试-greatsql
 Source Server Type    : MySQL
 Source Server Version : 80025
 Source Host           : 180.103.118.123:23306
 Source Schema         : hotel_ningbo

 Target Server Type    : MySQL
 Target Server Version : 80025
 File Encoding         : 65001

 Date: 27/11/2023 10:43:00
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for rental_room_renter
-- ----------------------------
DROP TABLE IF EXISTS `rental_room_renter`;
CREATE TABLE `rental_room_renter`  (
  `id` bigint NOT NULL COMMENT '主键',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `is_deleted` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '伪删除标记字段（0:正常;1伪删除）',
  `company_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '公司id',
  `room_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '房间id',
  `renter_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '租客id',
  `sys_user_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '系统用户id',
  `lease_term` int UNSIGNED NULL DEFAULT NULL COMMENT '租期（单位：月）',
  `lease_begin_time` datetime NULL DEFAULT NULL COMMENT '租期开始时间',
  `lease_end_time` datetime NULL DEFAULT NULL COMMENT '租期截止时间',
  `valid_time` datetime NULL DEFAULT NULL COMMENT '有效时间',
  `payment_way` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '缴费方式（0：一次付清；1：月付；2：季付；3：半年付；4：年付）',
  `monthly_rent` int UNSIGNED NULL DEFAULT NULL COMMENT '月租金（单位：分）',
  `payment_amount` int UNSIGNED NULL DEFAULT NULL COMMENT '支付金额（单位：元）',
  `cash_pledge` int UNSIGNED NULL DEFAULT 0 COMMENT '押金（单位：分）',
  `charged_electricity_fee` int UNSIGNED NULL DEFAULT 0 COMMENT '充值电费（单位：分）',
  `left_electricity_fee` int NULL DEFAULT 0 COMMENT '剩余电费（单位：分）',
  `begin_electric_quantity` int UNSIGNED NULL DEFAULT NULL COMMENT '开始电量',
  `end_electric_quantity` int UNSIGNED NULL DEFAULT NULL COMMENT '截止电量',
  `charged_water_fee` int UNSIGNED NULL DEFAULT 0 COMMENT '充值水费（单位：分）',
  `left_water_fee` int NULL DEFAULT 0 COMMENT '剩余水费（单位：分）',
  `begin_water_flow` int UNSIGNED NULL DEFAULT NULL COMMENT '开始水流量',
  `end_water_flow` int UNSIGNED NULL DEFAULT NULL COMMENT '截止水流量',
  `charged_hot_water_fee` int UNSIGNED NULL DEFAULT 0 COMMENT '充值热水费（单位：分）',
  `left_hot_water_fee` int NULL DEFAULT 0 COMMENT '剩余热水费（单位：分）',
  `begin_hot_water_flow` int UNSIGNED NULL DEFAULT NULL COMMENT '开始热水流量',
  `end_hot_water_flow` int UNSIGNED NULL DEFAULT NULL COMMENT '截止热水流量',
  `freeze_status` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '冻结状态（0：正常；1：冻结；2：退租；3：撤单 4：待生效 5：过期 6:作废 7：待签约 8:退订9:待入住）',
  `contract_photo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '合同照片',
  `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `password_enabled` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '是否允许临时密码（0：不允许；1：允许）',
  `password_times` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '允许临时密码次数',
  `password_real_times` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '允许临时密码实际次数',
  `password_valid_time` int UNSIGNED NULL DEFAULT 0 COMMENT '允许临时密码有效期（单位：分钟，最长2天）',
  `refund_rent_fee` int NULL DEFAULT 0 COMMENT '房租退款（单位：分）',
  `refund_cash_pledge_fee` int NULL DEFAULT 0 COMMENT '押金退款（单位：分）',
  `refund_electricity_fee` int NULL DEFAULT 0 COMMENT '电费退款（单位：分）',
  `refund_water_fee` int NULL DEFAULT 0 COMMENT '冷水费退款（单位：分）',
  `asset_compensation_fee` int UNSIGNED NULL DEFAULT 0 COMMENT '资产赔偿费（单位：分）',
  `refund` int NULL DEFAULT 0 COMMENT '退款（单位：分）',
  `is_surrender_tenancy_type` int NULL DEFAULT NULL COMMENT '是否正常退租（0：正常退租；1：非正常退租）',
  `real_surrender_tenancy_time` datetime NULL DEFAULT NULL COMMENT '真实退租日期',
  `refund_surrender_tenancy_fee` int NULL DEFAULT NULL COMMENT '违约金退款（单位：分）',
  `refund_hot_water_fee` int NULL DEFAULT 0 COMMENT '热水费退款（单位：分）',
  `cash_pledge_term` int NULL DEFAULT 0 COMMENT '押几',
  `pay_term` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '付几',
  `free_rent_day` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '免租天数',
  `reserve_arrival_time` datetime NULL DEFAULT NULL COMMENT '预计到店时间',
  `reserve_method` datetime NULL DEFAULT NULL COMMENT '预定方式（线上预定，线下预定）',
  `deposit_fee` int NULL DEFAULT 0 COMMENT '定金（单位：分）',
  `days_in_advance` int NULL DEFAULT NULL COMMENT '支付时间（提前多少天支付）',
  `delivery_order_remarks` varchar(2555) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '交割单附件',
  `read_meter_time` datetime NULL DEFAULT NULL COMMENT '水电交割时间',
  `estimated_signing_time` datetime NULL DEFAULT NULL COMMENT '预计签约时间',
  `estimated_checkIn_time` datetime NULL DEFAULT NULL COMMENT '预计入住时间',
  `scheduled_time` datetime NULL DEFAULT NULL COMMENT '预定时间',
  `order_day` int UNSIGNED NULL DEFAULT 1 COMMENT '账单日',
  `enterprise_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '企业id',
  `reserve_state` int NULL DEFAULT NULL COMMENT '(0:不用审核 1：待审核 2：通过 3：拒绝)',
  `sign_state` int NULL DEFAULT NULL COMMENT '(0:不用审核 1：待审核 2：通过 3：拒绝)',
  `rent_state` int NULL DEFAULT NULL COMMENT '(0:不用审核 1：待审核 2：通过 3：拒绝)',
  `contract_remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '合同附件',
  `renter_type` tinyint UNSIGNED NULL DEFAULT 1 COMMENT '租客类型（1：个人  2：企业）',
  `phone_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '小程序预定手机号',
  `bill_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '合同附件',
  `source_renter_id` bigint NULL DEFAULT NULL COMMENT '租客预定表主键',
  `moving_out_time` datetime NULL DEFAULT NULL COMMENT '搬出时间',
  `moving_in_time` datetime NULL DEFAULT NULL COMMENT '搬入时间',
  `is_check_in` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '是否办理了入住（0：否 1：是）',
  `actual_check_in` bigint NULL DEFAULT NULL COMMENT '实际入住人',
  `other_fee` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '其他费用',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `rental_room_renter_freeze_status_IDX`(`freeze_status`) USING BTREE,
  INDEX `rental_room_renter_room_id_IDX`(`room_id`) USING BTREE,
  INDEX `rental_room_renter_renter_id_IDX`(`renter_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '公租房-房间-租客表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
